GET /api/v3/agencies¶
Summary¶
GET agencies
Description¶
Return a list of agencies (Ad Agencies and Media Owners) that the current application has access to
See Agency Response Fields for more information on the agency object response
Tags: agencies
Parameters¶
Header Parameters¶
| Name | Type | Required | Description | Example |
|---|---|---|---|---|
Authorization |
string |
✓ Yes | Bearer {AuthToken} |
|
Content-Type |
string |
✓ Yes | application/json |
|
Accept |
string |
✓ Yes | application/json |
|
AppIdV3 |
string |
✓ Yes | LCUID-LAP-********-****-****-****-************ |
Responses¶
Response: 200¶
Description: Sample Response
Content Type: application/json¶
Schema¶
Type: object
Properties:
success(boolean)agencies(array)-
Array items:
objectType:objectProperties:
name(string)description(string)software_provider(string)website(string)status(integer)agency_class(string)options(object) Type:object
Properties:
primary_image_public_url(string)support_text(string)-
proof_legal_text(string) -
lcuid(string) slug(string)created_at(string)updated_at(string)agency_class_description(string)
Example Response¶
{
"success": true,
"agencies": [
{
"name": "Breezy Billboards",
"description": "Here is a new unit test agency description",
"software_provider": null,
"website": null,
"status": 0,
"agency_class": "App\\LuCore\\Agencies\\OperatorAgencyClass",
"options": {
"primary_image_public_url": null,
"support_text": null,
"proof_legal_text": null
},
"lcuid": "LCUID-LY-8b817944-7f7c-45aa-bbf4-67393be7b1fd",
"slug": "TestAgencyUnitTest7fdht",
"created_at": "2026-01-07T00:10:09.000000Z",
"updated_at": "2026-01-07T00:10:09.000000Z",
"agency_class_description": "Operator"
},
{
"name": "Calm Outdoor",
"description": "Here is a new unit test agency description",
"software_provider": null,
"website": null,
"status": 0,
"agency_class": "App\\LuCore\\Agencies\\OperatorAgencyClass",
"options": {
"primary_image_public_url": null,
"support_text": null,
"proof_legal_text": null
},
"lcuid": "LCUID-LY-df25bd7b-903e-4a57-b34d-1ebf2a39bcfb",
"slug": "TestAgencyUnitTestKcqog",
"created_at": "2026-01-07T00:10:09.000000Z",
"updated_at": "2026-01-07T00:10:09.000000Z",
"agency_class_description": "Operator"
}
]
}
Example Implementations¶
Bash (cURL)¶
curl --request GET \
--get "https://api.lucit.app/api/v3/agencies" \
--header "Authorization: Bearer {AuthToken}" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "AppIdV3: LCUID-LAP-********-****-****-****-************"
JavaScript (Fetch API)¶
const url = new URL(
"https://api.lucit.app/api/v3/agencies"
);
const headers = {
"Authorization": "Bearer {AuthToken}",
"Content-Type": "application/json",
"Accept": "application/json",
"AppIdV3": "LCUID-LAP-********-****-****-****-************",
};
fetch(url, {
method: "GET",
headers,
}).then(response => response.json());
PHP (Guzzle)¶
$client = new \GuzzleHttp\Client();
$response = $client->get(
'https://api.lucit.app/api/v3/agencies',
[
'headers' => [
'Authorization' => 'Bearer {AuthToken}',
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
],
]
);
$body = $response->getBody();
print_r(json_decode((string) $body));
Python (Requests)¶
import requests
import json
url = 'https://api.lucit.app/api/v3/agencies'
headers = {
'Authorization': 'Bearer {AuthToken}',
'Content-Type': 'application/json',
'Accept': 'application/json',
'AppIdV3': 'LCUID-LAP-********-****-****-****-************'
}
response = requests.request('GET', url, headers=headers)
response.json()
Example Responses¶
200 Response¶
{
"success": true,
"agencies": [
{
"name": "Breezy Billboards",
"description": "Here is a new unit test agency description",
"software_provider": null,
"website": null,
"status": 0,
"agency_class": "App\\LuCore\\Agencies\\OperatorAgencyClass",
"options": {
"primary_image_public_url": null,
"support_text": null,
"proof_legal_text": null
},
"lcuid": "LCUID-LY-8b817944-7f7c-45aa-bbf4-67393be7b1fd",
"slug": "TestAgencyUnitTest7fdht",
"created_at": "2026-01-07T00:10:09.000000Z",
"updated_at": "2026-01-07T00:10:09.000000Z",
"agency_class_description": "Operator"
},
{
"name": "Calm Outdoor",
"description": "Here is a new unit test agency description",
"software_provider": null,
"website": null,
"status": 0,
"agency_class": "App\\LuCore\\Agencies\\OperatorAgencyClass",
"options": {
"primary_image_public_url": null,
"support_text": null,
"proof_legal_text": null
},
"lcuid": "LCUID-LY-df25bd7b-903e-4a57-b34d-1ebf2a39bcfb",
"slug": "TestAgencyUnitTestKcqog",
"created_at": "2026-01-07T00:10:09.000000Z",
"updated_at": "2026-01-07T00:10:09.000000Z",
"agency_class_description": "Operator"
}
]
}